package ve.gob.cenditel.tibisaymovil;


import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

/**
 * Adaptador para mostrar la lista de funciones disponibles al inicio
 * de la aplicación.
 * 
 */
public class FunctionListAdapter extends ArrayAdapter<String> {
	private final Context context;
	private final String[] values;
 
	public FunctionListAdapter(Context context, String[] values) {
		super(context, R.layout.list_item, values);
		this.context = context;
		this.values = values;
	}
 
	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		LayoutInflater inflater = (LayoutInflater) context
			.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
 
		View rowView = inflater.inflate(R.layout.list_item, parent, false);
		TextView textView1 = (TextView) rowView.findViewById(R.id.textListMainMenu);
		textView1.setText(values[position]);
	    ImageView imageView = (ImageView) rowView.findViewById(R.id.imageListMainMenu);
 
		// Change icon based on name
		String s = values[position];
 
		System.out.println(s);
 
		if (s.equals("Firmar")) {
	        imageView.setImageResource(R.drawable.ic_pluma);
	    } else if (s.equals("Verificar")) {
	        imageView.setImageResource(R.drawable.ic_verify);
	    } else if (s.equals("Cifrar")) {
	        imageView.setImageResource(R.drawable.ic_secure);
	    } else if (s.equals("Descifrar")) {
	        imageView.setImageResource(R.drawable.ic_not_secure);
	    } else if (s.equals("Compartir Archivos")) {
	        imageView.setImageResource(R.drawable.ic_share);
	    } else if (s.equals("Certificados")) {
	        imageView.setImageResource(R.drawable.ic_management);
	    }
		return rowView;
	}
}
